Skip to main content
`Ctrl`+`K`

# CharacteristicDestroy

Destroys a `Characteristic` context created with `CharacteristicCreate()`

## Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicDestroy(Characteristic *c)

Collective

## Input Parameter

- c - the `Characteristic` context

## See Also

`Characteristic`, `CharacteristicCreate()`

## Level

beginner

## Location

src/ts/characteristic/interface/characteristic.c

## Implementations

CharacteristicDestroy_DA() in src/ts/characteristic/impls/da/slda.c

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages